package com.ghjg.pd.controller;


import org.apache.shiro.SecurityUtils;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.apache.shiro.subject.Subject;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zk
 * @since 2023-12-05
 */
@Controller
@RequestMapping("/ghjg/gpsinfoRealtime")
public class GpsinfoRealtimeController extends BaseController {

    @GetMapping(value = "/hello")
    @ResponseBody
    public String hello() {
        return "hello";
    }

    @GetMapping(value = "/hello1")
    @RequiresRoles("admin")
    @ResponseBody
    public String hello1() {
        return "hello";
    }

    @GetMapping(value = "/hello2")
    @ResponseBody
    public String hello2() {
        Subject subject= SecurityUtils.getSubject();
//        SimpleAuthorizationInfo authorizationInfo = new SimpleAuthorizationInfo();
//                authorizationInfo.addRole("admin");
        return "hello";
    }
}
