package com.ghjg.pd.controller.model.req.ass;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "新增编辑部门和页面关系参数")
public class AssPageDepartmentReq {

  @Schema(description = "主键")
  private String assId;

  /**
   * 部门ID
   */
  @Schema(description = "部门ID")
  private String departmentId;

  /**
   * 页面ID
   */
  @Schema(description = "页面ID")
  private String pageId;

}
