package com.ghjg.pd.controller.model.req.ass;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "新增编辑角色和用户关系参数")
public class AssUserRoleReq {

  private static final long serialVersionUID = 1L;
  @Schema(description = "主键")
  private Long assId;

  /**
   * 角色ID
   */
  @Schema(description = "角色ID")
  private Long roleId;

  /**
   * 用户ID
   */
  @Schema(description = "用户ID")
  private Long userId;


}
