package com.ghjg.pd.controller.model.req.ref;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "新增编辑部门参数")
public class RefDepartmentReq {

  private static final long serialVersionUID = 1L;
  @Schema(description = "主键")
  private String departmentId;

  /**
   * 部门名称
   */
  @Schema(description = "部门名称")
  private String departmentName;

  /**
   * 部门等级
   */
  @Schema(description = "部门等级")
  private String departmentLevel;
}
