package com.ghjg.pd.controller.model.req.sys;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "新增编辑页面参数")
public class SysPageReq {

  @Schema(description = "主键")
  private String pageId;
  @Schema(description = "名称")
  private String pageName;
  @Schema(description = "状态")
  private Integer pageStatus;
  @Schema(description = "地址")
  private String pagePath;
  @Schema(description = "模块ID")
  private String moduleId;
}
