package com.ghjg.pd.controller.model.req.sys;


import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "新增编辑用户参数")
public class SysUserReq implements Serializable {

  private static final long serialVersionUID = 1L;

  @Schema(description = "主键")
  private String userId;

  /**
   * 名称
   */
  @Schema(description = "用户名")
  private String userName;

  /**
   * 性别男：女
   */
  @Schema(description = "性别男：女")
  private String userSex;

  /**
   * 所属部门
   */
  @Schema(description = "所属部门")
  private Integer departmentId;

  /**
   * 职称
   */
  @Schema(description = "职称")
  private Integer positionId;

  /**
   * 用户启用状态0启用1禁用
   */
  @Schema(description = "用户启用状态0启用1禁用")
  private Integer userStatus;

  @Schema(description = "密码")
  private String userPassword;

  @Schema(description = "邮箱")
  private String userEmail;

  @Schema(description = "手机号")
  private String userMobile;
}
