
package com.ghjg.pd.controller.model.res.sys;

import com.ghjg.pd.entity.sys.SysPage;
import com.shanghaigeography.Util.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysPageRes {

  @Schema(description = "主键")
  private Long pageId;
  @Schema(description = "名称")
  private String pageName;
  @Schema(description = "状态")
  private Integer pageStatus;
  @Schema(description = "地址")
  private String pagePath;
  @Schema(description = "模块ID")
  private Long moduleId;

  private String createTime;


  private String updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;
  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;

  public static SysPageRes from(SysPage sysPage) {
    SysPageRes res = new SysPageRes();
    BeanUtils.copyProperties(sysPage, res);
    res.setCreateTime(DateUtils.dateToString(sysPage.getCreateTime(), DateUtils.DATE_FORMAT_19));
    if (!Objects.isNull(sysPage.getUpdateTime())) {
      res.setUpdateTime(
          DateUtils.dateToString(sysPage.getUpdateTime(), DateUtils.DATE_FORMAT_19));
    }
    return res;
  }
}
