package com.ghjg.pd.eum.shiro;

public enum  SystemType {

    /**
     * 管理端
     */
    ADMIN(0,"管理端" ),
    /**
     * 企业端
     */
    QIYE(1,"企业端");

    private Integer typeCode;

    private String typeName;

    SystemType(Integer typeCode,String typeName) {

        this.typeCode=typeCode;
        this.typeName = typeName;

    }
    public Integer getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(Integer typeState) {
        this.typeCode = typeCode;
    }


    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public static SystemType get(Integer type) {
        for (SystemType ele : values()) {
            if(ele.getTypeCode()== type)
            {
                return ele;
            }
        }
        return null;
    }


}
