package com.ghjg.pd.service.ass.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.pd.entity.ass.AssPageRole;
import com.ghjg.pd.mapper.ass.AssPageRoleMapper;
import com.ghjg.pd.service.ass.AssPageRoleService;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 角色和页面表 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class AssPageRoleServiceImpl extends ServiceImpl<AssPageRoleMapper, AssPageRole> implements
    AssPageRoleService {

  @Resource
  AssPageRoleMapper assPageRoleMapper;

  @Override
  public List<AssPageRole> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return assPageRoleMapper.selectAssPageRoleList(params);
  }
}
