package com.ghjg.pd.controller.model.req.ref;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "新增编辑职称参数")
public class RefPositionReq {

  private static final long serialVersionUID = 1L;
  @Schema(description = "主键")
  private String positionId;

  /**
   * 职称名称
   */
  @Schema(description = "职称名称")
  private String positionName;

  /**
   * 职称等级
   */
  @Schema(description = "职称等级")
  private String positionLevel;
}
