package com.ghjg.pd.controller.model.req.sys;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "新增编辑角色参数")
public class SysRoleReq {

  @Schema(description = "主键")
  private String roleId;

  /**
   * 角色名称
   */
  @Schema(description = "角色名称")
  private String roleName;

  /**
   * 角色状态0启用1禁用
   */
  @Schema(description = "角色状态0启用1禁用")
  private Integer roleStatus;

  /**
   * 角色所属部门
   */
  @Schema(description = "角色所属部门")
  private Integer departmentId;
}
