package com.ghjg.pd.controller.model.res.ass;

import com.ghjg.pd.entity.ass.AssUserRole;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "用户角色返回参数")
public class AssUserRoleRes {

  private static final long serialVersionUID = 1L;

  private String assId;

  /**
   * 角色ID
   */
  private String roleId;

  /**
   * 用户ID
   */
  private String userId;

  private Date createTime;

  private Date updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;


  public static AssUserRoleRes from(AssUserRole assUserRole) {
    AssUserRoleRes res = new AssUserRoleRes();
    BeanUtils.copyProperties(assUserRole, res);
    return res;
  }
}
