package com.ghjg.pd.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ghjg.pd.controller.model.req.sys.SysPageModuleReq;
import com.ghjg.pd.entity.BaseEntity;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 *
 * </p>
 *
 * @author zk
 * @since 2024-01-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_PD.SYS_PAGE_MODULE")
public class SysPageModule extends BaseEntity {

  private static final long serialVersionUID = 1L;

  @TableId("MODULE_ID")
  private String moduleId;

  @TableField("MODULE_NAME")
  private String moduleName;

  @TableField("MODULE_STATUS")
  private Integer moduleStatus;

  @TableField("CREATE_TIME")
  private Date createTime;

  @TableField("UPDATE_TIME")
  private Date updateTime;

  @TableField("DELETE_FLAG")
  private Integer deleteFlag;

  @TableField("CREATE_USER")
  private String createUser;

  @TableField("UPDATE_USER")
  private String updateUser;

  @TableField("COLUMN1")
  private String column1;

  @TableField("COLUMN2")
  private String column2;

  @TableField("COLUMN3")
  private String column3;

  @TableField("COLUMN4")
  private String column4;

  @TableField("COLUMN5")
  private String column5;

  @TableField("COLUMN6")
  private String column6;

  public static SysPageModule from(SysPageModuleReq req) {
    SysPageModule sysPageModule = new SysPageModule();
    BeanUtils.copyProperties(req, sysPageModule);
    return sysPageModule;
  }
}
