package com.ghjg.pd.service.ass.impl;

import com.ghjg.pd.entity.ass.AssPageDepartment;
import com.ghjg.pd.entity.sys.SysPage;
import com.ghjg.pd.mapper.ass.AssPageDepartmentMapper;
import com.ghjg.pd.service.ass.AssPageDepartmentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 部门和页面关系表 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class AssPageDepartmentServiceImpl extends ServiceImpl<AssPageDepartmentMapper, AssPageDepartment> implements AssPageDepartmentService {

  @Resource AssPageDepartmentMapper assPageDepartmentMapper;
  @Override
  public List<AssPageDepartment> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return assPageDepartmentMapper.selectAssPageDepartmentList(params);
  }
}
