package com.ghjg.pd.service.ass.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.pd.entity.ass.AssUserRole;
import com.ghjg.pd.mapper.ass.AssUserRoleMapper;
import com.ghjg.pd.service.ass.AssUserRoleService;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class AssUserRoleServiceImpl extends ServiceImpl<AssUserRoleMapper, AssUserRole> implements
    AssUserRoleService {

  @Resource
  AssUserRoleMapper assUserRoleMapper;

  @Override
  public List<AssUserRole> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return assUserRoleMapper.selectAssUserRoleList(params);
  }
}
