package com.ghjg.pd.service.sys.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.pd.entity.sys.SysPageModule;
import com.ghjg.pd.mapper.sys.SysPageModuleMapper;
import com.ghjg.pd.service.sys.SysPageModuleService;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-05
 */
@Service
public class SysPageModuleServiceImpl extends
    ServiceImpl<SysPageModuleMapper, SysPageModule> implements SysPageModuleService {

  @Resource
  SysPageModuleMapper sysPageModuleMapper;

  @Override
  public List<SysPageModule> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return sysPageModuleMapper.selectSysPageModuleList(params);
  }
}
