package com.ghjg.pd.service.sys.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.pd.entity.sys.SysPage;
import com.ghjg.pd.mapper.sys.SysPageMapper;
import com.ghjg.pd.service.sys.SysPageService;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 系统页面表 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class SysPageServiceImpl extends ServiceImpl<SysPageMapper, SysPage> implements
    SysPageService {

  @Resource
  SysPageMapper sysPageMapper;

  @Override
  public List<SysPage> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return sysPageMapper.selectSysPageList(params);
  }
}
