package com.ghjg.pd.service.sys.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.pd.entity.sys.SysRole;
import com.ghjg.pd.mapper.sys.SysRoleMapper;
import com.ghjg.pd.service.sys.SysRoleService;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class SysRoleServiceImpl extends ServiceImpl<SysRoleMapper, SysRole> implements
    SysRoleService {

  @Resource
  SysRoleMapper sysRoleMapper;

  @Override
  public List<SysRole> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return sysRoleMapper.selectSysRoleList(params);
  }
}
